<?xml version="1.0" encoding="US-ASCII"?>
<!-- RR Donnelley Xcelerate Taxonomy Schema, based on XBRL 2.1  http://www.rrdonnelley.com/ -->
<!-- Version: 6.22.4 -->
<!-- Round: 8 -->
<!-- Creation date: 2016-04-08T19:05:30Z -->
<!-- Copyright (c) 2005-2013 R.R. Donnelley &amp; Sons Company All Rights Reserved. -->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:us-gaap="http://fasb.org/us-gaap/2015-01-31"
  xmlns:us-types="http://fasb.org/us-types/2015-01-31"
  xmlns:kirk="http://kirklands.com/20160130"
  xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric"
  xmlns:num="http://www.xbrl.org/dtr/type/numeric"
  xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
  xmlns:country="http://xbrl.sec.gov/country/2013-01-31"
  xmlns:currency="http://xbrl.sec.gov/currency/2014-01-31"
  xmlns:dei="http://xbrl.sec.gov/dei/2014-01-31"
  xmlns:exch="http://xbrl.sec.gov/exch/2015-01-31"
  xmlns:invest="http://xbrl.sec.gov/invest/2013-01-31"
  xmlns:naics="http://xbrl.sec.gov/naics/2011-01-31"
  xmlns:sic="http://xbrl.sec.gov/sic/2011-01-31"
  xmlns:stpr="http://xbrl.sec.gov/stpr/2011-01-31"
  targetNamespace="http://kirklands.com/20160130"
  elementFormDefault="qualified" attributeFormDefault="unqualified">
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DocumentandEntityInformation" id="DocumentandEntityInformation">
        <link:definition>101 - Document - Document and Entity Information</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/StatementOfFinancialPositionClassified" id="Role_StatementOfFinancialPositionClassified">
        <link:definition>103 - Statement - Consolidated Balance Sheets</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/StatementOfFinancialPositionClassifiedParenthetical" id="Role_StatementOfFinancialPositionClassifiedParen">
        <link:definition>104 - Statement - Consolidated Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/StatementOfIncome" id="Role_StatementOfIncome">
        <link:definition>105 - Statement - Consolidated Statements of Income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/StatementOfShareholdersEquityAndOtherComprehensiveIncome" id="Role_StatementOfShareholdersEquityAndOtherComprehensiveIncome">
        <link:definition>106 - Statement - Consolidated Statement of Shareholders' Equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/StatementOfCashFlowsIndirect" id="Role_StatementOfCashFlowsIndirect">
        <link:definition>107 - Statement - Consolidated Statements of Cash Flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock" id="Role_NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlock">
        <link:definition>108 - Disclosure - Description of Business and Significant Accounting Policies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock" id="Role_NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlock">
        <link:definition>109 - Disclosure - Property and Equipment</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlock" id="Role_NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlock">
        <link:definition>110 - Disclosure - Accrued Expenses</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlock" id="Role_NotesToFinancialStatementsIncomeTaxDisclosureTextBlock">
        <link:definition>111 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsLongTermDebtTextBlock" id="Role_NotesToFinancialStatementsLongTermDebtTextBlock">
        <link:definition>112 - Disclosure - Senior Credit Facility</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsLeasesOfLesseeDisclosureTextBlock" id="Role_NotesToFinancialStatementsLeasesOfLesseeDisclosureTextBlock">
        <link:definition>113 - Disclosure - Long-Term Leases</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock" id="Role_NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlock">
        <link:definition>114 - Disclosure - Employee Benefit Plans</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock" id="Role_NotesToFinancialStatementsCommitmentsAndContingenciesDisclosureTextBlock">
        <link:definition>115 - Disclosure - Commitments and Contingencies</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock" id="Role_NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlock">
        <link:definition>116 - Disclosure - Related Party Transactions</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsTreasuryStockTextBlock" id="Role_NotesToFinancialStatementsTreasuryStockTextBlock">
        <link:definition>117 - Disclosure - Stock Repurchase Program</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlock" id="Role_NotesToFinancialStatementsQuarterlyFinancialInformationTextBlock">
        <link:definition>118 - Disclosure - Quarterly Financial Information (Unaudited)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsSubsequentEventsTextBlock" id="Role_NotesToFinancialStatementsSubsequentEventsTextBlock">
        <link:definition>119 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlockPolicies" id="Role_NotesToFinancialStatementsOrganizationConsolidationAndPresentationOfFinancialStatementsDisclosureTextBlockPolicies">
        <link:definition>120 - Disclosure - Description of Business and Significant Accounting Policies (Policies)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsPropertyPlantAndEquipmentDisclosureTextBlockTables">
        <link:definition>121 - Disclosure - Property and Equipment (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsAccountsPayableAndAccruedLiabilitiesDisclosureTextBlockTables">
        <link:definition>122 - Disclosure - Accrued Expenses (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsIncomeTaxDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsIncomeTaxDisclosureTextBlockTables">
        <link:definition>123 - Disclosure - Income Taxes (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables" id="Role_NotesToFinancialStatementsDisclosureOfCompensationRelatedCostsShareBasedPaymentsTextBlockTables">
        <link:definition>124 - Disclosure - Employee Benefit Plans (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlockTables" id="Role_NotesToFinancialStatementsRelatedPartyTransactionsDisclosureTextBlockTables">
        <link:definition>125 - Disclosure - Related Party Transactions (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/NotesToFinancialStatementsQuarterlyFinancialInformationTextBlockTables" id="Role_NotesToFinancialStatementsQuarterlyFinancialInformationTextBlockTables">
        <link:definition>126 - Disclosure - Quarterly Financial Information (Unaudited) (Tables)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureDescriptionOfBusinessAndSignificantAccountingPoliciesAdditionalInformation" id="DisclosureDescriptionOfBusinessAndSignificantAccountingPoliciesAdditionalInformation">
        <link:definition>127 - Disclosure - Description of Business and Significant Accounting Policies - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosurePropertyAndEquipmentSummaryOfPropertyAndEquipment" id="DisclosurePropertyAndEquipmentSummaryOfPropertyAndEquipment">
        <link:definition>128 - Disclosure - Property and Equipment - Summary of Property and Equipment (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureAccruedExpensesSummaryOfAccruedExpenses" id="DisclosureAccruedExpensesSummaryOfAccruedExpenses">
        <link:definition>129 - Disclosure - Accrued Expenses - Summary of Accrued Expenses (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesSummaryOfIncomeTaxExpense" id="DisclosureIncomeTaxesSummaryOfIncomeTaxExpense">
        <link:definition>130 - Disclosure - Income Taxes - Summary of Income Tax Expense (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesReconciliationOfIncomeTaxExpenseAtTheStatutoryFederalIncomeTaxRate" id="DisclosureIncomeTaxesReconciliationOfIncomeTaxExpenseAtTheStatutoryFederalIncomeTaxRate">
        <link:definition>131 - Disclosure - Income Taxes - Reconciliation of Income Tax Expense at the Statutory Federal Income Tax Rate (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesSignificantComponentsOfDeferredTaxAssetsAndLiabilities" id="DisclosureIncomeTaxesSignificantComponentsOfDeferredTaxAssetsAndLiabilities">
        <link:definition>132 - Disclosure - Income Taxes - Significant Components of Deferred Tax Assets and Liabilities (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesAdditionalInformation" id="DisclosureIncomeTaxesAdditionalInformation">
        <link:definition>133 - Disclosure - Income Taxes - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureIncomeTaxesReconciliationOfBeginningAndEndingAmountOfUnrecognizedTaxBenefits" id="DisclosureIncomeTaxesReconciliationOfBeginningAndEndingAmountOfUnrecognizedTaxBenefits">
        <link:definition>134 - Disclosure - Income Taxes - Reconciliation of Beginning and Ending Amount of Unrecognized Tax Benefits (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureSeniorCreditFacilityAdditionalInformation" id="DisclosureSeniorCreditFacilityAdditionalInformation">
        <link:definition>135 - Disclosure - Senior Credit Facility - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureLongTermLeasesAdditionalInformation" id="DisclosureLongTermLeasesAdditionalInformation">
        <link:definition>136 - Disclosure - Long-Term Leases - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsAdditionalInformation" id="DisclosureShareBasedCompensationArrangementsAdditionalInformation">
        <link:definition>137 - Disclosure - Share-Based Compensation Arrangements - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsStockOptionActivity" id="DisclosureShareBasedCompensationArrangementsStockOptionActivity">
        <link:definition>138 - Disclosure - Share-Based Compensation Arrangements - Stock Option Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsWeightedAverageForKeyAssumptionsUsedInDeterminingTheFairValueOfOptionsGrantedAndASummaryOfTheMethodologyAppliedToDevelopEachAssumption" id="DisclosureShareBasedCompensationArrangementsWeightedAverageForKeyAssumptionsUsedInDeterminingTheFairValueOfOptionsGrantedAndASummaryOfTheMethodologyAppliedToDevelopEachAssumption">
        <link:definition>139 - Disclosure - Share-Based Compensation Arrangements - Weighted Average for Key Assumptions Used in Determining the Fair Value of Options Granted and a Summary of the Methodology Applied to Develop Each Assumption (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureShareBasedCompensationArrangementsRSUActivity" id="DisclosureShareBasedCompensationArrangementsRSUActivity">
        <link:definition>140 - Disclosure - Share-Based Compensation Arrangements - RSU Activity (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureRelatedPartyTransactionsSelectedResultsRelatedToVendorAndPercentages" id="DisclosureRelatedPartyTransactionsSelectedResultsRelatedToVendorAndPercentages">
        <link:definition>141 - Disclosure - Related Party Transactions - Selected Results Related to Vendor and Percentages (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureStockRepurchaseProgramAdditionalInformation" id="DisclosureStockRepurchaseProgramAdditionalInformation">
        <link:definition>142 - Disclosure - Stock Repurchase Program - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureQuarterlyFinancialInformationUnauditedSummarizedQuarterlyFinancialResults" id="DisclosureQuarterlyFinancialInformationUnauditedSummarizedQuarterlyFinancialResults">
        <link:definition>143 - Disclosure - Quarterly Financial Information (Unaudited) - Summarized Quarterly Financial Results (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://kirklands.com/taxonomy/role/DisclosureSubsequentEventsAdditionalInformation" id="DisclosureSubsequentEventsAdditionalInformation">
        <link:definition>144 - Disclosure - Subsequent Events - Additional Information (Detail)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:href="kirk-20160130_cal.xml" xlink:title="Calculation Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:href="kirk-20160130_def.xml" xlink:title="Definition Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:href="kirk-20160130_lab.xml" xlink:title="Label Links, all"/>
      <link:linkbaseRef xlink:type="simple" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:href="kirk-20160130_pre.xml" xlink:title="Presentation Links, all"/>
    </appinfo>
  </annotation>
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <import namespace="http://fasb.org/us-types/2015-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2015/elts/us-types-2015-01-31.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"/>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <import namespace="http://fasb.org/us-gaap/2015-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2015/elts/us-gaap-2015-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/country/2013-01-31" schemaLocation="http://xbrl.sec.gov/country/2013/country-2013-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/currency/2014-01-31" schemaLocation="http://xbrl.sec.gov/currency/2014/currency-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/dei/2014-01-31" schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/exch/2015-01-31" schemaLocation="http://xbrl.sec.gov/exch/2015/exch-2015-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/invest/2013-01-31" schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/naics/2011-01-31" schemaLocation="http://xbrl.sec.gov/naics/2011/naics-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/sic/2011-01-31" schemaLocation="http://xbrl.sec.gov/sic/2011/sic-2011-01-31.xsd"/>
  <import namespace="http://xbrl.sec.gov/stpr/2011-01-31" schemaLocation="http://xbrl.sec.gov/stpr/2011/stpr-2011-01-31.xsd"/>
  <element name="AmortizationOfLandlordConstructionAllowances" id="kirk_AmortizationOfLandlordConstructionAllowances" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="CashUsedToNetShareSettleOptionsAndRestrictedStock" id="kirk_CashUsedToNetShareSettleOptionsAndRestrictedStock" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DeferredTaxAssetsDeferredRentAndOther" id="kirk_DeferredTaxAssetsDeferredRentAndOther" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DefinedContributionPlanEmployerDiscretionaryContributionAdditionalAmount" id="kirk_DefinedContributionPlanEmployerDiscretionaryContributionAdditionalAmount" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="DocumentAndEntityInformationAbstract" id="kirk_DocumentAndEntityInformationAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="EquityMethodInvestmentsAndCostMethodInvestmentsAbstract" id="kirk_EquityMethodInvestmentsAndCostMethodInvestmentsAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ExerciseOfEmployeeStockOptionsAndEmployeeStockPurchasesShares" id="kirk_ExerciseOfEmployeeStockOptionsAndEmployeeStockPurchasesShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncentiveFromLessorCurrent" id="kirk_IncentiveFromLessorCurrent" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncentiveFromLessorLongTerm" id="kirk_IncentiveFromLessorLongTerm" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncomeTaxLineItems" id="kirk_IncomeTaxLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="IncomeTaxTable" id="kirk_IncomeTaxTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="InMoneyStockOptionMember" id="kirk_InMoneyStockOptionMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="InsuranceReserveBenefitEarningsPerShareDiluted" id="kirk_InsuranceReserveBenefitEarningsPerShareDiluted" type="num:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="LineOfCreditFacilityMaturityMonthAndYear" id="kirk_LineOfCreditFacilityMaturityMonthAndYear" type="xbrli:gYearMonthItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="MerchandiseInventoryPurchaseMember" id="kirk_MerchandiseInventoryPurchaseMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NatureOfBusinessAndSignificantAccountingPoliciesLineItems" id="kirk_NatureOfBusinessAndSignificantAccountingPoliciesLineItems" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NatureOfBusinessAndSignificantAccountingPoliciesTable" id="kirk_NatureOfBusinessAndSignificantAccountingPoliciesTable" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrldt:hypercubeItem"/>
  <element name="NetShareSettlementOfStockOptionsAndRestrictedStockShares" id="kirk_NetShareSettlementOfStockOptionsAndRestrictedStockShares" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="NetShareSettlementOfStockOptionsAndRestrictedStockValue" id="kirk_NetShareSettlementOfStockOptionsAndRestrictedStockValue" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OperatingLeaseExpirationYear" id="kirk_OperatingLeaseExpirationYear" type="xbrli:gYearItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="OtherOperatingExpensePolicyTextBlock" id="kirk_OtherOperatingExpensePolicyTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PercentageOfRecognitionOfTaxBenefitUponSettlement" id="kirk_PercentageOfRecognitionOfTaxBenefitUponSettlement" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PreopeningExpensePolicyTextBlock" id="kirk_PreopeningExpensePolicyTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PreviousRevolvingCreditFacilityMember" id="kirk_PreviousRevolvingCreditFacilityMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ProjectsInProgressMember" id="kirk_ProjectsInProgressMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PropertyPlantAndEquipmentIncludedCapitalizedSoftwareUnderDevelopment" id="kirk_PropertyPlantAndEquipmentIncludedCapitalizedSoftwareUnderDevelopment" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" xbrli:balance="debit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PropertyPlantAndEquipmentIncludingCapitalizedSoftwareCostMember" id="kirk_PropertyPlantAndEquipmentIncludingCapitalizedSoftwareCostMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PropertyPlantAndEquipmentUsefulLifeAndValuesAbstract" id="kirk_PropertyPlantAndEquipmentUsefulLifeAndValuesAbstract" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="PurchaseFromRelatedPartyVendorPercentage" id="kirk_PurchaseFromRelatedPartyVendorPercentage" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="SalesAndUseTaxesPolicyTextBlock" id="kirk_SalesAndUseTaxesPolicyTextBlock" type="nonnum:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsAdjustedInPeriod" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsAdjustedInPeriod" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsAdjustedWeightedAverageGrantDateFairValue" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardEquityInstrumentsOtherThanOptionsAdjustedWeightedAverageGrantDateFairValue" type="num:perShareItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsAnnualForfeitureRate" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardFairValueAssumptionsAnnualForfeitureRate" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardMaximumContractualPeriodTerms" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardMaximumContractualPeriodTerms" type="xbrli:durationItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfRemainingSharesAuthorized" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardNumberOfRemainingSharesAuthorized" type="xbrli:sharesItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfUnitsGrantedToDirectorsAndVestedOnFirstAnniversaryOfGrantDate" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfUnitsGrantedToDirectorsAndVestedOnFirstAnniversaryOfGrantDate" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfUnitsVestedOnThirdAnniversaryOfGrantDateToEmployee" id="kirk_ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfUnitsVestedOnThirdAnniversaryOfGrantDateToEmployee" type="num:percentItemType" abstract="false" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="VendorMember" id="kirk_VendorMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="WorkersCompensationAndGeneralLiabilityReserveBeforeTax" id="kirk_WorkersCompensationAndGeneralLiabilityReserveBeforeTax" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
  <element name="WorkersCompensationAndGeneralLiabilityReserveBenefitAfterTax" id="kirk_WorkersCompensationAndGeneralLiabilityReserveBenefitAfterTax" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" xbrli:balance="credit" nillable="true" substitutionGroup="xbrli:item"/>
</schema>
